Debian Bug report logs - #288213
ITA: : check -- A unit test framework for C

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>

Date: Sun, 2 Jan 2005 14:18:01 UTC

Owned by: robertle@semistable.com

Severity: normal

Fixed in version check/0.9.2-3

Done: Robert Lemmen <robertle@semistable.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Britton Leo Kerin <bkerin@debian.org>, <wnpp@debian.org>:
Bug#288213; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
New Bug report received and forwarded. Copy sent to Britton Leo Kerin <bkerin@debian.org>, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: check -- A unit test framework for C
Date: Sun, 02 Jan 2005 15:02:29 +0100
Package: wnpp
Severity: normal

The current maintainer of check, Britton Leo Kerin <bkerin@debian.org>,
is apparently not active anymore.  Therefore, I orphan this package
now.  If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: check
Binary: check
Version: 0.8.4-1
Priority: optional
Section: devel
Maintainer: Britton Leo Kerin <bkerin@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Architecture: any
Standards-Version: 3.5.8.0
Format: 1.0
Directory: pool/main/c/check
Files: 1b3649211ba3e87a5c5fb1217993b325 560 check_0.8.4-1.dsc
 2869c0fb14b9e277931dbe3df22de1ab 134449 check_0.8.4.orig.tar.gz
 a82fa972cba8052f8980caa5870c1d7f 19862 check_0.8.4-1.diff.gz

Package: check
Priority: optional
Section: devel
Installed-Size: 444
Maintainer: Britton Leo Kerin <bkerin@debian.org>
Architecture: i386
Version: 0.8.4-1
Filename: pool/main/c/check/check_0.8.4-1_i386.deb
Size: 126564
MD5sum: 940053ca0ad67100572d5c61afe8c45d
Description: A unit test framework for C
 Check features a simple interface for defining unit tests, putting
 little in the way of the developer. Tests are run in a separate
 address space, so Check can catch both assertion failures and code
 errors that cause segmentation faults or other signals. The output
 from unit tests can be used within source code editors and IDEs.

Justification: No activity in 10 months, no response to pings



Changed Bug title. Request was from Robert Lemmen <robertle@semistable.com> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as robertle@semistable.com. Request was from Robert Lemmen <robertle@semistable.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Robert Lemmen <robertle@semistable.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #14 received at 288213-close@bugs.debian.org (full text, mbox):

From: Robert Lemmen <robertle@semistable.com>
To: 288213-close@bugs.debian.org
Subject: Bug#288213: fixed in check 0.9.2-3
Date: Fri, 18 Feb 2005 10:32:31 -0500
Source: check
Source-Version: 0.9.2-3

We believe that the bug you reported is fixed in the latest version of
check, which is due to be installed in the Debian FTP archive:

check_0.9.2-3.diff.gz
  to pool/main/c/check/check_0.9.2-3.diff.gz
check_0.9.2-3.dsc
  to pool/main/c/check/check_0.9.2-3.dsc
check_0.9.2-3_i386.deb
  to pool/main/c/check/check_0.9.2-3_i386.deb
check_0.9.2.orig.tar.gz
  to pool/main/c/check/check_0.9.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 288213@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Lemmen <robertle@semistable.com> (supplier of updated check package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 15 Feb 2005 16:11:59 +0100
Source: check
Binary: check
Architecture: source i386
Version: 0.9.2-3
Distribution: unstable
Urgency: low
Maintainer: Robert Lemmen <robertle@semistable.com>
Changed-By: Robert Lemmen <robertle@semistable.com>
Description: 
 check      - unit test framework for C
Closes: 187986 261420 288213
Changes: 
 check (0.9.2-3) unstable; urgency=low
 .
   * fixed some problems with upstream files in debian/
 .
 check (0.9.2-2) unstable; urgency=low
 .
   * fixed FTBFS error when trying to copy the example data
 .
 check (0.9.2-1) unstable; urgency=low
 .
   * New upstream release (Closes: #261420)
   * Took over maintenance (Closes: #288213)
   * Updated to new policy version
   * Fixed copyright files (Closes: #187986)
   * General cleanups in debian/
   * Added watch file
Files: 
 1b7d3728e6b6a6747117fa5608d6b382 559 devel optional check_0.9.2-3.dsc
 9a4d5665b8be07513f5ac4e6eec537e6 161604 devel optional check_0.9.2.orig.tar.gz
 99b15d3032aa27e9fde2e9cfac34c091 5020 devel optional check_0.9.2-3.diff.gz
 15ac8ff37056709cc0b1265de090c4ad 55498 devel optional check_0.9.2-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.0 (GNU/Linux)

iD8DBQFCFgbR5UTeB5t8Mo0RAkYNAKCtW6YzNS2neSUc4M06cTVCOXIaJACeIi1C
uXChbVoHdjUmGPjAIWyCAUc=
=lgxt
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:18:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.